package cn.superdesk.uniorder.dubbo.facade.sys.role;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.role.SysRoleExtData;
import cn.superdesk.uniorder.dto.dubbo.sys.role.SysRoleExtDataParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:    角色定义-扩展-数据权限角色
 * @Author:         linjinyu
 * @Email  linjinyu@avic-s.com
 * @CreateDate:     2020-08-26 14:15:28
 * @UpdateUser:     linjinyu
 * @UpdateDate:     2020-08-26 14:15:28
 * @UpdateRemark:   修改内容
 * @Version:        1.0
 */
public interface DubboSysRoleExtDataService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysRoleExtDataParam param);

	@Deprecated
	void updateObj(SysRoleExtDataParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysRoleExtData findById(Long id);

	@Deprecated
	PageInfo<SysRoleExtData> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysRoleExtData> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysRoleExtData(SysRoleExtDataParam param);

	void updateSysRoleExtData(SysRoleExtDataParam param);

	void deleteSysRoleExtData(Long id);

	SysRoleExtData findSysRoleExtDataById(Long id);

	R<List<SysRoleExtData>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
